// _GestionListesElectorales_Interface.java
// Created on 2 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.elections.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionListesElectorales_Interface extends COFrame {

    /** Creates new form _GestionListesElectorales_Interface */
    public _GestionListesElectorales_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        vueInstance = new org.cocktail.component.COView();
        vueOnglets = new javax.swing.JTabbedPane();
        parametrage = new javax.swing.JPanel();
        electeurs = new javax.swing.JPanel();
        cOLabel1 = new org.cocktail.component.COLabel();

        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        setControllerClassName("org.cocktail.mangue.client.elections.GestionListesElectorales");
        setSize(new java.awt.Dimension(821, 555));

        org.jdesktop.layout.GroupLayout vueInstanceLayout = new org.jdesktop.layout.GroupLayout(vueInstance);
        vueInstance.setLayout(vueInstanceLayout);
        vueInstanceLayout.setHorizontalGroup(
            vueInstanceLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 751, Short.MAX_VALUE)
        );
        vueInstanceLayout.setVerticalGroup(
            vueInstanceLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 134, Short.MAX_VALUE)
        );

        vueOnglets.setFont(new java.awt.Font("Helvetica", 0, 12));

        parametrage.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout parametrageLayout = new org.jdesktop.layout.GroupLayout(parametrage);
        parametrage.setLayout(parametrageLayout);
        parametrageLayout.setHorizontalGroup(
            parametrageLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 760, Short.MAX_VALUE)
        );
        parametrageLayout.setVerticalGroup(
            parametrageLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 348, Short.MAX_VALUE)
        );

        vueOnglets.addTab("Paramétrage final", parametrage);

        electeurs.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout electeursLayout = new org.jdesktop.layout.GroupLayout(electeurs);
        electeurs.setLayout(electeursLayout);
        electeursLayout.setHorizontalGroup(
            electeursLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 760, Short.MAX_VALUE)
        );
        electeursLayout.setVerticalGroup(
            electeursLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 348, Short.MAX_VALUE)
        );

        vueOnglets.addTab("Electeurs", electeurs);

        cOLabel1.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOLabel1.setValueName("messageInformation");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(33, 33, 33)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOLabel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 768, Short.MAX_VALUE)
                    .add(vueInstance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(20, 20, 20))
            .add(layout.createSequentialGroup()
                .add(20, 20, 20)
                .add(vueOnglets, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 781, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(20, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(vueInstance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(5, 5, 5)
                .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(11, 11, 11)
                .add(vueOnglets, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 391, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COLabel cOLabel1;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public javax.swing.JPanel electeurs;
    public javax.swing.JPanel parametrage;
    public org.cocktail.component.COView vueInstance;
    public javax.swing.JTabbedPane vueOnglets;
    // End of variables declaration//GEN-END:variables
                  

}
